I have a go 740 live and im trying to load the newest map version 850.2781 on my device via easyusetools. I don't know which current navcore my device uses but i patch it with easyusetools but when I go to boot up my device it just hangs at the loading screen.

I was wondering if someone could let me know if there is a way to find out what navcore is currently on my device or what is the best navcore and most recent usa north america map to use with my tomtom.

I grabbed easyusetools of of a private site but was also wondering if there is a newer version than the one i'm using. I'm guessing I have a pretty recent navcore and according to the list the 850.2781 north america usa map should work with pretty muich all the navcores.

easyusetools says I need a patched ttsystem file / ttnavigator.exe

I am wondering if the easyusetools I have is not patching the ttsystem file right.

Could someone point me in the right direction?

thanks